#!/bin/sh
echo ""
if [ -n "$1" ]
then
    profile=$1
else
    profile="default"
fi

if test -d "recipes/$profile"
then
    cd recipes/$profile
	 if test ! -d "../../templates/$profile"
	 then
			ln -s ../../recipes/$profile/build ../../app/templates/$profile
	 fi
    sh ./compile.sh
    cd ../../app
    touch profile
    echo 'profile :' $profile > profile
    echo 'date : "'$(date -R)'"'>> profile
    cp templates/$profile/barra-brasil.js static/ #Copiando enquanto a barra é estática.
    cp templates/$profile/barra-brasil-en.js static/ #Copiando enquanto a barra é estática.
    cp templates/$profile/barra-brasil-fr.js static/ #Copiando enquanto a barra é estática.
    cp templates/$profile/barra-brasil-es.js static/ #Copiando enquanto a barra é estática.
    cp templates/$profile/barra-brasil.js ../docker/public_html/barra.js #Copiando enquanto a barra é estática.
    cp templates/$profile/barra-brasil.js ../docker/public_html/barra.js.pt-br #Copiando enquanto a barra é estática.
    cp templates/$profile/barra-brasil-en.js ../docker/public_html/barra.js.en #Copiando enquanto a barra é estática.
    cp templates/$profile/barra-brasil-fr.js ../docker/public_html/barra.js.fr #Copiando enquanto a barra é estática.
    cp templates/$profile/barra-brasil-es.js ../docker/public_html/barra.js.es #Copiando enquanto a barra é estática.
    cp templates/exemplo.html ../docker/public_html/index.html #Copiando enquanto a barra é estática.
    cp static/opensans-bold.woff ../docker/public_html/static/ #Copiando enquanto a barra é estática.
    cp static/Raleway-Bold.woff ../docker/public_html/static/ #Copiando enquanto a barra é estática.
    cp static/jquery-2.1.3.min.js ../docker/public_html/static/jquery.js #Copiando enquanto a barra é estática.

    # Enquanto tivermos as duas barras funcionando em conjunto
    if [ "$profile" != "default" ]
    then
      echo 'Compilando barra nova'
      cd ../recipes/default
      sh ./compile.sh
      cd ../../app
      cp templates/default/barra-brasil.js static/barra-brasil_2.0.js #Copiando enquanto a barra é estática.
      cp templates/default/barra-brasil-en.js static/barra-brasil-en_2.0.js #Copiando enquanto a barra é estática.
      cp templates/default/barra-brasil-fr.js static/barra-brasil-fr_2.0.js #Copiando enquanto a barra é estática.
      cp templates/default/barra-brasil-es.js static/barra-brasil-es_2.0.js #Copiando enquanto a barra é estática.
      cp templates/default/barra-brasil.js ../docker/public_html/barra_2.0.js #Copiando enquanto a barra é estática.
      cp templates/default/barra-brasil.js ../docker/public_html/barra_2.0.js.pt-br #Copiando enquanto a barra é estática.
      cp templates/default/barra-brasil-en.js ../docker/public_html/barra_2.0.js.en #Copiando enquanto a barra é estática.
      cp templates/default/barra-brasil-fr.js ../docker/public_html/barra_2.0.js.fr #Copiando enquanto a barra é estática.
      cp templates/default/barra-brasil-es.js ../docker/public_html/barra_2.0.js.es #Copiando enquanto a barra é estática.
      cp templates/exemplo_antiga.html ../docker/public_html/exemplo_antiga.html #Copiando enquanto a barra é estática.
    fi
    echo "Copiado"
else
    echo "Erro. O profile '$profile' não existe."
fi
